from __future__ import division

import pygame

import data
import World
import vector

def main():
    pygame.init()
    display = pygame.display.set_mode((512, 512))
    clock = pygame.time.Clock()
    world = World.World(vector.v(display.get_size()))
    try:
      pygame.mixer.music.load(data.filepath('music.mod'))
      pygame.mixer.music.play(-1)
    except:
      pass
    while True:
      end = False
      while not end:
        dt = clock.tick(60)/1000.
        pygame.display.update()
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                return
            elif event.type == pygame.MOUSEBUTTONDOWN:
                end = True
        display.blit(data.image['main.png'], (0, 0))
      while True:
        pygame.display.update()
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                return
            elif event.type == pygame.MOUSEBUTTONDOWN:
                world.on_click(vector.v(event.pos), event.button)
            elif event.type == pygame.MOUSEMOTION:
                pass
            elif event.type == pygame.ACTIVEEVENT:
                pass
            else:
                pass # print event
        if world.update(dt):
            break
        world.draw(display)
        text = data.font[12].render("%i FPS" % int(clock.get_fps()), True, (255, 255, 0))
        display.blit(text, (512-text.get_width(), 0))
